using System;
using System.Collections.Generic;

namespace InABox.Clients
{
    public class RemoteException : RequestException
    {
        public RemoteException(IEnumerable<string> messages, Request request) : base(string.Join("\n", messages), StatusCode.Error, request)
        {
        }

        public RemoteException(string message, Request request) : base(message, StatusCode.Error, request) { }

        public RemoteException(string message, StatusCode statusCode, Request request) : base(message, statusCode, request) { }
    }
}